unit Coll8.Utils;

interface

{$SCOPEDENUMS ON}

uses
  smx.ApiKy,
  smx.GFS.Logging;

type
  TColl8ServiceTypes = (drop2me, drop2shopCollect, drop2shopShip, drop2shopReturn);

const
  Valid_Service_Types = 'drop2me,drop2shop-Collect,drop2shop-Ship,drop2shop-Return';
  Valid_System_Service_Types = 'drop2me,drop2shop-Collect,drop2shop-Return';
  Valid_Package_Types = 'Box';
  Valid_Package_Item_Types = 'CT';
  Valid_Signature_Services = 'SignatureRequired,SignatureName,QRConfirmation';
  Valid_Reference_Types = 'shipperTrackingNumber,customerReference';

  DEFAULT_PACKAGE_TYPE = 'Box';
  DEFAULT_COUNTRY_OF_ORIGIN = 'GB';
  DEFAULT_PACKAGE_ITEM_TYPE = 'CT';
  DEFAULT_CURRENCY_CODE = 'EUR';

  COLL8_SERVICE_TYPES: array [TColl8ServiceTypes] of string = ('drop2me', 'drop2shop-Collect', 'drop2shop-Ship',
    'drop2shop-Return');

  COLL8_APIKY_KEY = 'DD3VCPK-WYN41RJ-QTY0AH2-18Q936J';

  COLL8_APIKEY_HEADER = 'x-api-key';

{$SCOPEDENUMS OFF}

var Logger: TGFSLogger;

implementation

end.
