unit Coll8ServiceImplementation;

interface

uses
  XData.Server.Module,
  XData.Service.Common,
  Coll8Service,
  GFSProxyDtos;

type

  [ServiceImplementation]
  TColl8Service = class(TInterfacedObject, IColl8Service)
  private
  protected
    function CreateLabel(const LabelRequest: TCreateLabelRequestClass): TCreateLabelResponseClass;
    function EodManifest(const Manifest: TEndOfDayManifestClass): boolean;
    function cancelShipment(const trackingId: string): Boolean;
    function GetAnAuthToken: string;
  end;

implementation

uses
  System.SysUtils,
  smx.OpenAPI.Utils,
  System.NetEncoding,
  SMXi_Debug;

{ TColl8Service }

function TColl8Service.cancelShipment(const trackingId: string): Boolean;
begin
  Result := True;
end;

function TColl8Service.CreateLabel(const LabelRequest: TCreateLabelRequestClass): TCreateLabelResponseClass;
begin
  Result := TCreateLabelResponseClass.Create;
end;

function TColl8Service.EodManifest(const Manifest: TEndOfDayManifestClass): boolean;
begin
  Result := True;
end;

function TColl8Service.GetAnAuthToken: string;
begin
  Result := 'ATOKEN';
end;

initialization

RegisterServiceType(TColl8Service);

end.
